moeoIBEAStochSorting(3)

NAME
moeoIBEAStochSorting - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty Adapted from the Basseur and Zitzler paper 'Handling Uncertainty in Indicator-Based Multiobjective Optimization' (2006) Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

SYNOPSIS

#include <moeoIBEA.h>

Inherits moeoIBEA< EOT, FitnessEval >.

  Public Member Functions
moeoIBEAStochSorting (moeoBinaryQualityIndicator< FitnessEval > *_I)
constructor

  Private Member Functions
void setBounds (const eoPop< EOT > &_pop)
computation and setting of the bounds for each objective
void fitnesses (const eoPop< EOT > &_pop)
computation and setting of the fitness for each individual of the population

  Static Private Member Functions
static double zero ()
approximated zero value

Detailed Description

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> class moeoIBEAStochSorting< EOT, FitnessEval >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty Adapted from the Basseur and Zitzler paper 'Handling Uncertainty in Indicator-Based Multiobjective Optimization' (2006) Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

Definition at line 203 of file moeoIBEA.h.

Constructor & Destructor Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> moeoIBEAStochSorting< EOT, FitnessEval >::moeoIBEAStochSorting (moeoBinaryQualityIndicator< FitnessEval > * _I) [inline]

constructor

Parameters:
    eoBinaryQualityIndicator<EOT>* _I the binary quality indicator to use in the selection process

Definition at line 214 of file moeoIBEA.h.

Member Function Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void moeoIBEAStochSorting< EOT, FitnessEval >::setBounds (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the bounds for each objective

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, FitnessEval >.

Definition at line 243 of file moeoIBEA.h.

References moeoIBEA< EOT, FitnessEval >::I, and moeoBinaryQualityIndicator< EOFitness >::setBounds().

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void moeoIBEAStochSorting< EOT, FitnessEval >::fitnesses (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the fitness for each individual of the population

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, FitnessEval >.

Definition at line 272 of file moeoIBEA.h.

References eoValueParam< std::vector< WorthT > >::value(), and moeoIBEAStochSorting< EOT, FitnessEval >::zero().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.